For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/v1/selphid/custom-event/onboarding

Sends a custom external onboarding event to the Api Tracking platform.

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

Data to register an external authentication event in the Api Tracking platform. It also supports image buffers.

authStatusstring · enumRequired

Possible results of an authentication operation.

Example: PositivePossible values:
similaritynumberRequired

Similarity between two facial templates (0-None, 1-Identical).

Example: 0.994729161
eventSourcestringOptional

The source of an event in the Api Tracking service.

Example: event.source.externalTool
image1stringOptional

Raw image buffer in .png, .jpg or .bmp format, base64-encoded.

Example: /9j/4AAQSkZJRgABAQEAtAC0AAD...
image2stringOptional

Raw image buffer in .png, .jpg or .bmp format, base64-encoded.

Example: /9j/4AAQSkZJRgABAQEAtAC0AAD...
extraDatastringRequired

Tokenized data used to call the Api Tracking service after the operation, base64-encoded.

Example: BQABAQGkJhiCqQjKYUZyDM...
Responses
200

Result of the event tracking.

application/json

The result of an Api Tracking operation.

trackingStatusnumberOptional

Status returned by the Api Tracking service, or -1 if tracking is not required.

Example: 201
trackingMessagestringOptional

Message returned by the Api Tracking service, or empty if tracking is not required.

Example: EvaluatePassiveLivenesWithImageBuffer: Ok
post/api/v1/selphid/custom-event/onboarding
POST /api/v1/selphid/custom-event/onboarding HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 216

{
  "authStatus": "Positive",
  "similarity": 0.994729161,
  "eventSource": "event.source.externalTool",
  "image1": "/9j/4AAQSkZJRgABAQEAtAC0AAD...",
  "image2": "/9j/4AAQSkZJRgABAQEAtAC0AAD...",
  "extraData": "BQABAQGkJhiCqQjKYUZyDM..."
}
{
  "trackingStatus": 201,
  "trackingMessage": "EvaluatePassiveLivenesWithImageBuffer: Ok"
}

Last updated